LOG.warn is deprecated

Bug #1508442 reported by Anton Arefiev on 2015-10-21
44
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Aodh
Fix Released
Undecided
Swapnil Kulkarni
Astara
Undecided
Swapnil Kulkarni
Barbican
Fix Released
Undecided
sumit
Ceilometer
Fix Released
Undecided
Chaozhe Chen
Designate
Undecided
Swapnil Kulkarni
DragonFlow
Undecided
Swapnil Kulkarni
Evoque
Undecided
Bathri Ajay Raj
Gnocchi
Fix Released
Low
Swapnil Kulkarni
KloudBuster
Undecided
sumit
Magnum
Fix Released
Undecided
Allen Gao
Manila
Undecided
huayue
Mistral
Low
Unassigned
Monasca
New
Undecided
Pallavi
OpenStack Compute (nova)
Low
Swapnil Kulkarni
OpenStack Heat
Fix Released
Undecided
Swapnil Kulkarni
OpenStack Identity (keystone)
Wishlist
Lu lei
OpenStack Searchlight
Fix Released
Low
Swapnil Kulkarni
Packstack
Low
Swapnil Kulkarni
RACK
Undecided
Lu lei
Rally
Low
Yafei Yu
Solum
Undecided
Swapnil Kulkarni
Vitrage
Fix Committed
Undecided
yatin
anvil
Undecided
M V P Nitesh
bilean
Undecided
sumit
cloud-init
Low
Anishka Gupta
cloudkitty
Undecided
Swapnil Kulkarni
congress
Undecided
sumit
django-openstack-auth
Undecided
Lin Hua Cheng
ec2-api
Undecided
sumit
gce-api
Undecided
sumit
heat-cfntools
Fix Released
Undecided
zhangguoqing
kolla
Undecided
Allen Gao
masakari
Undecided
Takashi NATSUME
networking-arista
Undecided
sumit
networking-calico
Undecided
Neil Jerram
networking-cisco
Undecided
LiuNanke
networking-fujitsu
Undecided
sumit
networking-odl
Low
lei zhang
networking-ofagent
Undecided
fumihiko kakuma
networking-plumgrid
Undecided
sumit
networking-powervm
Undecided
Kairo Araujo
networking-vsphere
Undecided
Aman Kumar
nova-powervm
Undecided
Drew Thorstensen
nova-solver-scheduler
Undecided
sumit
octavia
Fix Released
Low
lei zhang
openstack-ansible
Undecided
Lu lei
oslo.cache
Undecided
Swapnil Kulkarni
oslo.middleware
Undecided
Haifeng.Yan
python-dracclient
Undecided
Tin Lam
python-magnumclient
Undecided
Allen Gao
python-watcherclient
Low
Tin Lam
senlin
Low
yatin
shaker
Undecided
Unassigned
tacker
Low
yatin
tempest
Undecided
Swapnil Kulkarni
tripleo
Undecided
Swapnil Kulkarni
trove-dashboard
Undecided
sumit
watcher
Medium
Gábor Antal
zaqar
Undecided
Swapnil Kulkarni

Bug Description

LOG.warn is deprecated in Python 3 [1] . But it still used in a few places, non-deprecated LOG.warning should be used instead.

Note: If we are using logger from oslo.log, warn is still valid [2], but I agree we can switch to LOG.warning.

[1]https://docs.python.org/3/library/logging.html#logging.warning
[2]https://github.com/openstack/oslo.log/blob/master/oslo_log/log.py#L85

Related branches

Anton Arefiev (aarefiev) on 2015-10-21
Changed in ironic:
assignee: nobody → Anton Arefiev (aarefiev)
importance: Undecided → Low

Fix proposed to branch: master
Review: https://review.openstack.org/238020

Changed in ironic:
status: New → In Progress
Dmitry Tantsur (divius) on 2015-10-21
Changed in ironic-inspector:
status: New → Triaged
importance: Undecided → Low
tags: added: low-hanging-fruit
Changed in ironic-python-agent:
status: New → Triaged
importance: Undecided → Low
Changed in ironic-inspector:
assignee: nobody → Zhenguo Niu (niu-zglinux)
Changed in ironic-python-agent:
assignee: nobody → Zhenguo Niu (niu-zglinux)
Changed in ironic-inspector:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/238378

Changed in ironic-python-agent:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/238020
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=5d22ccf016b70886c969d8910a8ce42c97580a44
Submitter: Jenkins
Branch: master

commit 5d22ccf016b70886c969d8910a8ce42c97580a44
Author: Anton Arefiev <email address hidden>
Date: Fri Oct 9 15:39:36 2015 +0300

    Replace deprecated LOG.warn with warning

    LOG.warn is deprecated. It still used in a few places. This updates
    those one to use the non-deprecated LOG.warning instead.

    Closes-Bug: 1508442
    Change-Id: Id947e4c8ae9894f480192a5ab034c24c25125788

Changed in ironic:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/238363
Committed: https://git.openstack.org/cgit/openstack/ironic-inspector/commit/?id=bcd8d5dfa0696257d7fc8032da9dc8b4c890cca8
Submitter: Jenkins
Branch: master

commit bcd8d5dfa0696257d7fc8032da9dc8b4c890cca8
Author: Zhenguo Niu <email address hidden>
Date: Thu Oct 22 14:12:03 2015 +0800

    Replace deprecated LOG.warn with LOG.warning

    Closes-Bug: #1508442
    Change-Id: Ifcc2004f3274808d868c9947ed2b0b484f815daa

Changed in ironic-inspector:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/238378
Committed: https://git.openstack.org/cgit/openstack/ironic-python-agent/commit/?id=18d5d6aba31240f28bf507dffad39f73d2b118af
Submitter: Jenkins
Branch: master

commit 18d5d6aba31240f28bf507dffad39f73d2b118af
Author: Zhenguo Niu <email address hidden>
Date: Thu Oct 22 14:36:30 2015 +0800

    Replace deprecated LOG.warn with LOG.warning

    Change-Id: Ib3d566f6e608ee453659e15cabcf8e9332aedc52
    Closes-Bug: #1508442

Changed in ironic-python-agent:
status: In Progress → Fix Committed
Ruby Loo (rloo) on 2015-11-23
Changed in ironic-lib:
assignee: nobody → Ruby Loo (rloo)

Fix proposed to branch: master
Review: https://review.openstack.org/248786

Changed in ironic-lib:
status: New → In Progress
Ruby Loo (rloo) on 2015-11-23
Changed in ironic-lib:
importance: Undecided → Low

Reviewed: https://review.openstack.org/248786
Committed: https://git.openstack.org/cgit/openstack/ironic-lib/commit/?id=bf3938e439797a6accdbd8c1a53b3139239e898d
Submitter: Jenkins
Branch: master

commit bf3938e439797a6accdbd8c1a53b3139239e898d
Author: Ruby Loo <email address hidden>
Date: Mon Nov 23 15:57:02 2015 +0000

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated so this replaces it with LOG.warning.

    Change-Id: I4b7b55cce2cfb3f0ae779351daf14e42472d43de
    Closes-Bug: 1508442

Changed in ironic-lib:
status: In Progress → Fix Committed

This issue was fixed in openstack/ironic-lib 0.5.0 release.

This issue was fixed in the openstack/ironic-inspector 2.3.0 release.

Changed in ironic-inspector:
status: Fix Committed → Fix Released
Changed in ironic:
status: Fix Committed → Fix Released

This issue was fixed in the openstack/ironic 4.3.0 release.

Allen Gao (wanlong-gao) on 2015-12-29
Changed in magnum:
assignee: nobody → Wanlong Gao (wanlong-gao)
Changed in magnum:
status: New → In Progress
Allen Gao (wanlong-gao) on 2015-12-29
Changed in python-magnumclient:
assignee: nobody → Wanlong Gao (wanlong-gao)

Fix proposed to branch: master
Review: https://review.openstack.org/262131

Changed in python-magnumclient:
status: New → In Progress
Allen Gao (wanlong-gao) on 2015-12-29
Changed in kolla:
assignee: nobody → Wanlong Gao (wanlong-gao)

Fix proposed to branch: master
Review: https://review.openstack.org/262136

Changed in kolla:
status: New → In Progress
Allen Gao (wanlong-gao) on 2015-12-29
Changed in magnum:
status: In Progress → Fix Committed
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/262099
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=6ac4ce2eb1c5090e4bf35f1c5eab9e66f6af4f8f
Submitter: Jenkins
Branch: master

commit 6ac4ce2eb1c5090e4bf35f1c5eab9e66f6af4f8f
Author: Wanlong Gao <email address hidden>
Date: Tue Dec 29 09:23:53 2015 +0800

    Python 3 deprecated the logger.warn method in favor of warning

    Python 3 deprecated the logger.warn method, see:
    https://docs.python.org/3/library/logging.html#logging.warning, so we
    prefer to use warning to avoid DeprecationWarning.

    Closes-Bug: 1508442
    Change-Id: I245d24b30e783f1c6dcec1b425d78d271edff49b

Changed in magnum:
status: In Progress → Fix Released
janonymous (janonymous) wrote :

I have added a check for pep8 checks in hacking also:https://review.openstack.org/#/c/259729/ , if it might be useful .

Reviewed: https://review.openstack.org/262136
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=2fde87a0e91689aaf3c918209f1ee8a1d832d6f3
Submitter: Jenkins
Branch: master

commit 2fde87a0e91689aaf3c918209f1ee8a1d832d6f3
Author: Wanlong Gao <email address hidden>
Date: Tue Dec 29 14:37:10 2015 +0800

    Python 3 deprecated the logger.warn method in favor of warning

    Python 3 deprecated the logger.warn method, see:
    https://docs.python.org/3/library/logging.html#logging.warning, so we
    prefer to use warning to avoid DeprecationWarning.

    Change-Id: Ic4e07276def17ef39764601c8a7e0991f9a4efbc
    Closes-Bug: 1508442

Changed in kolla:
status: In Progress → Fix Released
Changed in nova-powervm:
assignee: nobody → Drew Thorstensen (thorst)
Changed in glance:
assignee: nobody → Swapnil Kulkarni (coolsvap)

Fix proposed to branch: master
Review: https://review.openstack.org/263314

Changed in glance:
status: New → In Progress
Changed in aodh:
assignee: nobody → Swapnil Kulkarni (coolsvap)

Fix proposed to branch: master
Review: https://review.openstack.org/263319

Changed in aodh:
status: New → In Progress
Changed in zaqar:
assignee: nobody → Swapnil Kulkarni (coolsvap)

Fix proposed to branch: master
Review: https://review.openstack.org/263323

Changed in zaqar:
status: New → In Progress
Changed in tempest:
assignee: nobody → Swapnil Kulkarni (coolsvap)
Changed in tripleo:
assignee: nobody → Swapnil Kulkarni (coolsvap)

Fix proposed to branch: master
Review: https://review.openstack.org/263331

Changed in tempest:
status: New → In Progress
Changed in nova-powervm:
status: New → Fix Released
Swapnil Kulkarni (coolsvap) wrote :
Changed in keystone:
assignee: nobody → Swapnil Kulkarni (coolsvap)
status: New → In Progress
Changed in neutron:
assignee: nobody → Swapnil Kulkarni (coolsvap)

Fix proposed to branch: master
Review: https://review.openstack.org/263347

Changed in neutron:
status: New → In Progress
Changed in gnocchi:
assignee: nobody → Swapnil Kulkarni (coolsvap)

Fix proposed to branch: master
Review: https://review.openstack.org/263373

Changed in gnocchi:
status: New → In Progress

Change abandoned by Swapnil Kulkarni (coolsvap) (<email address hidden>) on branch: master
Review: https://review.openstack.org/263347

Change abandoned by Swapnil Kulkarni (coolsvap) (<email address hidden>) on branch: master
Review: https://review.openstack.org/263314

Changed in manila:
assignee: nobody → huayue (huayuev5)
status: New → In Progress

Change abandoned by Swapnil Kulkarni (coolsvap) (<email address hidden>) on branch: master
Review: https://review.openstack.org/263339

Changed in packstack:
assignee: nobody → Swapnil Kulkarni (coolsvap)

Fix proposed to branch: master
Review: https://review.openstack.org/263541

Changed in packstack:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/263587

Changed in designate:
assignee: nobody → Swapnil Kulkarni (coolsvap)
status: New → In Progress
Changed in cloudkitty:
assignee: nobody → Swapnil Kulkarni (coolsvap)
status: New → In Progress
lei zhang (zhang-lei) on 2016-01-05
Changed in octavia:
assignee: nobody → lei zhang (zhang-lei)

Fix proposed to branch: master
Review: https://review.openstack.org/263595

Changed in heat:
assignee: nobody → Swapnil Kulkarni (coolsvap)
status: New → In Progress
Changed in tuskar:
assignee: nobody → Swapnil Kulkarni (coolsvap)
status: New → In Progress
lei zhang (zhang-lei) on 2016-01-05
Changed in openstack-ansible:
assignee: nobody → lei zhang (zhang-lei)
Changed in oslo.cache:
assignee: nobody → lei zhang (zhang-lei)
Swapnil Kulkarni (coolsvap) wrote :
Changed in openstack-ansible:
assignee: lei zhang (zhang-lei) → Swapnil Kulkarni (coolsvap)
status: New → In Progress
Swapnil Kulkarni (coolsvap) wrote :
Changed in oslo.cache:
assignee: lei zhang (zhang-lei) → Swapnil Kulkarni (coolsvap)
status: New → In Progress
Swapnil Kulkarni (coolsvap) wrote :
Changed in oslo.privsep:
assignee: nobody → Swapnil Kulkarni (coolsvap)
status: New → In Progress
Swapnil Kulkarni (coolsvap) wrote :
Changed in tripleo:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/263617

Changed in octavia:
status: New → In Progress
description: updated
Changed in solum:
assignee: nobody → Swapnil Kulkarni (coolsvap)

Fix proposed to branch: master
Review: https://review.openstack.org/263625

Changed in solum:
status: New → In Progress

Change abandoned by Swapnil Kulkarni (coolsvap) (<email address hidden>) on branch: master
Review: https://review.openstack.org/263331

lei zhang (zhang-lei) on 2016-01-05
Changed in ceilometer:
assignee: nobody → lei zhang (zhang-lei)
status: New → In Progress
lei zhang (zhang-lei) on 2016-01-05
Changed in cloud-init:
assignee: nobody → lei zhang (zhang-lei)

Reviewed: https://review.openstack.org/263595
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=994b1e4a814a9303c56e8326361c964ddcf782d8
Submitter: Jenkins
Branch: master

commit 994b1e4a814a9303c56e8326361c964ddcf782d8
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Tue Jan 5 12:31:53 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I86e13b88c766cc75034faaff61f1873bf86e1b36
    Closes-Bug:#1508442

Changed in heat:
status: In Progress → Fix Released
LiuNanke (nanke-liu) on 2016-01-05
Changed in networking-cisco:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress

Reviewed: https://review.openstack.org/262131
Committed: https://git.openstack.org/cgit/openstack/python-magnumclient/commit/?id=094009f494661ac7c59dcf442a662c4c070c43e9
Submitter: Jenkins
Branch: master

commit 094009f494661ac7c59dcf442a662c4c070c43e9
Author: Wanlong Gao <email address hidden>
Date: Tue Dec 29 09:35:25 2015 +0800

    Python 3 deprecated the logger.warn method in favor of warning

    Python 3 deprecated the logger.warn method, see:
    https://docs.python.org/3/library/logging.html#logging.warning, so we
    prefer to use warning to avoid DeprecationWarning.

    Change-Id: If47818a6ce8adb14bc275dc5a6b5ab4b9d189ff7
    Closes-Bug: 1508442

Changed in python-magnumclient:
status: In Progress → Fix Released

Change abandoned by Swapnil Kulkarni (coolsvap) (<email address hidden>) on branch: master
Review: https://review.openstack.org/263600

Reviewed: https://review.openstack.org/263562
Committed: https://git.openstack.org/cgit/openstack/ironic-python-agent/commit/?id=dcdb06d812e1eee1506aa7e99d0182bc41e21b82
Submitter: Jenkins
Branch: master

commit dcdb06d812e1eee1506aa7e99d0182bc41e21b82
Author: Kan <email address hidden>
Date: Tue Jan 5 05:36:34 2016 +0000

    Replace deprecated LOG.warn with LOG.warning

    Change-Id: I0ca31eac70afaccda73e7819c582af0b226b8442
    Closes-Bug: #1508442

Changed in ironic-python-agent:
status: Fix Committed → Fix Released
Changed in ceilometer:
assignee: lei zhang (zhang-lei) → Chaozhe Chen (chaozhe-chen)
lei zhang (zhang-lei) on 2016-01-06
Changed in cloud-init:
status: New → In Progress
Swapnil Kulkarni (coolsvap) wrote :
Changed in dragonflow:
assignee: nobody → Swapnil Kulkarni (coolsvap)
status: New → In Progress
lei zhang (zhang-lei) on 2016-01-06
Changed in networking-ofagent:
assignee: nobody → lei zhang (zhang-lei)
status: New → In Progress
lei zhang (zhang-lei) on 2016-01-06
Changed in networking-odl:
assignee: nobody → lei zhang (zhang-lei)
status: New → In Progress
lei zhang (zhang-lei) on 2016-01-06
Changed in networking-vsphere:
assignee: nobody → lei zhang (zhang-lei)
status: New → In Progress
Changed in glance:
importance: Undecided → Low
Swapnil Kulkarni (coolsvap) wrote :
Changed in blazar:
assignee: nobody → Swapnil Kulkarni (coolsvap)
status: New → In Progress
Swapnil Kulkarni (coolsvap) wrote :
Changed in astara:
assignee: nobody → Swapnil Kulkarni (coolsvap)
status: New → In Progress
Changed in nova:
assignee: nobody → Swapnil Kulkarni (coolsvap)

Fix proposed to branch: master
Review: https://review.openstack.org/264133

Changed in nova:
status: New → In Progress

Change abandoned by Swapnil Kulkarni (coolsvap) (<email address hidden>) on branch: master
Review: https://review.openstack.org/263373

Lin Hua Cheng (lin-hua-cheng) wrote :
Changed in django-openstack-auth:
assignee: nobody → Lin Hua Cheng (lin-hua-cheng)
status: New → In Progress

Reviewed: https://review.openstack.org/264050
Committed: https://git.openstack.org/cgit/openstack/dragonflow/commit/?id=9b748c6c0ee9ce4081c132909d73936d581de03b
Submitter: Jenkins
Branch: master

commit 9b748c6c0ee9ce4081c132909d73936d581de03b
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Wed Jan 6 12:07:41 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I9f79c72f692a90bd6cd3fc101c0b6d785da921f0
    Closes-Bug:#1508442

Changed in dragonflow:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/263323
Committed: https://git.openstack.org/cgit/openstack/zaqar/commit/?id=545b68684548294a46c3753a5a16513c0cb64410
Submitter: Jenkins
Branch: master

commit 545b68684548294a46c3753a5a16513c0cb64410
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Mon Jan 4 21:44:32 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: Id321f741793b3f471d0cb22988385c4b083a2353
    Partial-Bug:#1508442

Javier Peña (jpena-c) on 2016-01-07
Changed in packstack:
importance: Undecided → Low

Reviewed: https://review.openstack.org/263601
Committed: https://git.openstack.org/cgit/openstack/oslo.cache/commit/?id=baf8dbdafd52764db929b99e7e9db1ef4baf5f04
Submitter: Jenkins
Branch: master

commit baf8dbdafd52764db929b99e7e9db1ef4baf5f04
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Tue Jan 5 12:49:39 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I68f4ccdd3cc5923ef1db40a80857a915e4e583e1
    Closes-Bug:#1508442

Changed in oslo.cache:
status: In Progress → Fix Released
İrfan AKIN (irfan-akin) on 2016-01-07
Changed in glance:
assignee: Swapnil Kulkarni (coolsvap) → İrfan AKIN (irfan-akin)

Change abandoned by İrfan AKIN (<email address hidden>) on branch: master
Review: https://review.openstack.org/264889
Reason: committed another patch: https://review.openstack.org/#/c/262237/

janonymous (janonymous) wrote :

Re : Comment #14 : Hacking check for pep8 :https://review.openstack.org/#/c/259729/ .

Reviewed: https://review.openstack.org/263541
Committed: https://git.openstack.org/cgit/openstack/packstack/commit/?id=052f4cc8ced692daee9e90cdc87a54dd5c9a0168
Submitter: Jenkins
Branch: master

commit 052f4cc8ced692daee9e90cdc87a54dd5c9a0168
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Tue Jan 5 08:47:09 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I8249ca21e564beac5861129e687591e3f20059f6
    Partial-Bug:#1508442

Changed in packstack:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/264808
Committed: https://git.openstack.org/cgit/openstack/packstack/commit/?id=765653f7a4e78be2ec417087d5c049ad3f21808f
Submitter: Jenkins
Branch: master

commit 765653f7a4e78be2ec417087d5c049ad3f21808f
Author: Javier Pena <email address hidden>
Date: Thu Jan 7 15:54:08 2016 +0100

    Use logging.warning instead of logging.warn

    logging.warn() is deprecated in Python 3 [1]. While it is not in
    the short-term list of priorities for Packstack, it does not hurt
    to use logging.warning [2], which is forward-compatible.

    Closes-Bug: 1508442

    [1]https://docs.python.org/3/library/logging.html#logging.warning
    [2]https://docs.python.org/2/library/logging.html#logging.warning

    Change-Id: I7c13513720280415350a83fd6ed0636af476a20e

İrfan AKIN (irfan-akin) on 2016-01-08
Changed in glance:
assignee: İrfan AKIN (irfan-akin) → nobody

Reviewed: https://review.openstack.org/262442
Committed: https://git.openstack.org/cgit/openstack/ceilometer/commit/?id=7cfda25c10590488d2ef4acdd60bb3488f24e34d
Submitter: Jenkins
Branch: master

commit 7cfda25c10590488d2ef4acdd60bb3488f24e34d
Author: Chaozhe.Chen <email address hidden>
Date: Wed Dec 30 18:14:45 2015 +0800

    Replace LOG.warn with LOG.warning

    Python 3 deprecated the logger.warn method.
    we prefer to use warning to avoid DeprecationWarning.
    refer to:
    https://docs.python.org/3/library/logging.html#logging.warning

    Change-Id: Ie85ae39f69d35019c1008d35154cd717c2f8afbe
    Closes-Bug: #1508442

Changed in ceilometer:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/263082
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=44fc3021d41f19d8ad9b693f2faa56e5cab4159c
Submitter: Jenkins
Branch: master

commit 44fc3021d41f19d8ad9b693f2faa56e5cab4159c
Author: huayue <email address hidden>
Date: Mon Jan 4 09:57:39 2016 +0800

    Replace deprecated [logger/LOG].warn with warning

    Python 3 deprecated the logger.warn method, see:
    https://docs.python.org/3/library/logging.html#logging.warning, so we
    prefer to use warning to avoid DeprecationWarning.

    Change-Id: I6b09f67bb63fbdf31903ec175db012fc50e87f16
    Closes-Bug: 1508442

Changed in manila:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/263588
Committed: https://git.openstack.org/cgit/openstack/cloudkitty/commit/?id=f806413b4c31368e7c4f79030536ce4e4b4ce3c7
Submitter: Jenkins
Branch: master

commit f806413b4c31368e7c4f79030536ce4e4b4ce3c7
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Tue Jan 5 12:21:12 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I402398b1130f18c91bb0c4fa7f677181089dcd29
    Closes-Bug:#1508442

Changed in cloudkitty:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/263587
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=60947dab2b66e6013c9d98e7b7730042f02ed577
Submitter: Jenkins
Branch: master

commit 60947dab2b66e6013c9d98e7b7730042f02ed577
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Tue Jan 5 12:17:54 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: If2c041cc6bb9513d528ca35611e1e3a96946ce4d
    Closes-Bug:#1508442

Changed in designate:
status: In Progress → Fix Released

This issue was fixed in the openstack/ironic-python-agent 1.1.0 release.

Reviewed: https://review.openstack.org/264120
Committed: https://git.openstack.org/cgit/openstack/astara-appliance/commit/?id=3290a438a997f7e4c236f687395831aad5ed51a4
Submitter: Jenkins
Branch: master

commit 3290a438a997f7e4c236f687395831aad5ed51a4
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Wed Jan 6 16:16:45 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: Ia78851fc4624328a43ab717f474b136326a0b789
    Closes-Bug:#1508442

Changed in astara:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/264228
Committed: https://git.openstack.org/cgit/openstack/django_openstack_auth/commit/?id=2d88515affe08b131a98f1e75d09634f3917b2df
Submitter: Jenkins
Branch: master

commit 2d88515affe08b131a98f1e75d09634f3917b2df
Author: lin-hua-cheng <email address hidden>
Date: Wed Jan 6 07:31:02 2016 -0800

    Python 3 deprecated the logger.warn method in favor of warning

    Python 3 deprecated the logger.warn method, see:
    https://docs.python.org/3/library/logging.html#logging.warning, so we
    prefer to use warning to avoid DeprecationWarning.

    Change-Id: Ibc234aedad20351861462f1ebd0457632bdfd048
    Closes-Bug: #1508442

Changed in django-openstack-auth:
status: In Progress → Fix Released
sumit (er-sksumit) wrote :

Python 3 deprecated the logger.warn method in favor of warning

    Python 3 deprecated the logger.warn method, see:
    https://docs.python.org/3/library/logging.html#logging.warning, so we
    prefer to use warning to avoid DeprecationWarning.

    Change-Id: Ibc234aedad20351861462f1ebd0457632bdfd048
    Closes-Bug: #1508442

Changed in shaker:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
David Stanek (dstanek) on 2016-01-12
Changed in keystone:
assignee: Swapnil Kulkarni (coolsvap) → nobody
status: In Progress → Fix Committed
Dmitry Tantsur (divius) on 2016-01-13
no longer affects: ironic-lib
no longer affects: ironic
no longer affects: ironic-inspector
no longer affects: ironic-python-agent

This issue was fixed in the openstack/oslo.cache 1.2.0 release.

This issue was fixed in the openstack/oslo.privsep 0.3.0 release.

sumit (er-sksumit) on 2016-01-17
Changed in python-rack:
assignee: nobody → sumit (er-sksumit)
Changed in ec2-api:
assignee: nobody → sumit (er-sksumit)
Changed in congress:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in gce-api:
assignee: nobody → sumit (er-sksumit)
sumit (er-sksumit) on 2016-01-17
Changed in evoque:
assignee: nobody → sumit (er-sksumit)
Changed in glance-store:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in networking-powervm:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in barbican:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in kloudbuster:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
sumit (er-sksumit) on 2016-01-17
Changed in networking-calico:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in watcher:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in heat-cfntools:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in nova-solver-scheduler:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
sumit (er-sksumit) on 2016-01-17
Changed in networking-fujitsu:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in bilean:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
sumit (er-sksumit) on 2016-01-17
Changed in trove-dashboard:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in networking-arista:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in anvil:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in networking-plumgrid:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
sumit (er-sksumit) on 2016-01-17
Changed in python-watcherclient:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in mistral:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in python-dracclient:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in evoque:
status: New → In Progress
Changed in python-rack:
status: New → In Progress
Changed in ec2-api:
status: New → In Progress
Changed in gce-api:
status: New → In Progress
Changed in watcher:
assignee: sumit (er-sksumit) → Gábor Antal (gabor.antal)
status: In Progress → Fix Committed
Changed in watcher:
importance: Undecided → Medium
milestone: none → mitaka-2

Reviewed: https://review.openstack.org/268204
Committed: https://git.openstack.org/cgit/openstack/watcher/commit/?id=dfc9a3b37d69e5a87a402b3283d1c0c96b2bfffb
Submitter: Jenkins
Branch: master

commit dfc9a3b37d69e5a87a402b3283d1c0c96b2bfffb
Author: Gábor Antal <email address hidden>
Date: Fri Jan 15 16:49:32 2016 +0100

    Removed use of deprecated LOG.warn method

    LOG.warn is deprecated. We were still used it some places.
    So I replaced the LOG.warn method to LOG.warning, which is not
    deprecated.

    Change-Id: I9461cec569445ad6c40db9ce2feeeba1ef0af0e3
    Closes-Bug: #1508442

Changed in watcher:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/263625
Committed: https://git.openstack.org/cgit/openstack/solum/commit/?id=05ddc5622b0088a231d1130c7eb4b9e473b0c243
Submitter: Jenkins
Branch: master

commit 05ddc5622b0088a231d1130c7eb4b9e473b0c243
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Tue Jan 5 13:45:32 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I00d4afb7f0b3a4c0449a71d8a3795fed90e12844
    Closes-Bug:#1508442

Changed in solum:
status: In Progress → Fix Released
Changed in keystone:
importance: Undecided → Wishlist

Reviewed: https://review.openstack.org/269502
Committed: https://git.openstack.org/cgit/openstack/kloudbuster/commit/?id=3cec41522c2586947a5a25ea6d3a572dad49a3d7
Submitter: Jenkins
Branch: master

commit 3cec41522c2586947a5a25ea6d3a572dad49a3d7
Author: Yichen Wang <email address hidden>
Date: Tue Jan 19 00:23:14 2016 -0800

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I375a86cf06a6353cb03602e5fa7051a8f8909e12
    Closes-Bug: #1508442

Changed in kloudbuster:
status: In Progress → Fix Released

Change abandoned by Nanke_Liu (lnk) (<email address hidden>) on branch: master
Review: https://review.openstack.org/263840

This issue was fixed in the openstack/designate 2.0.0.0b2 development milestone.

This issue was fixed in the openstack/heat 6.0.0.0b2 development milestone.

Doug Hellmann (doug-hellmann) wrote :

This issue was fixed in the openstack/heat 6.0.0.0b2 development milestone.

This issue was fixed in the openstack/sahara-dashboard 4.0.0.0b2 development milestone.

This issue was fixed in the openstack/ceilometer 6.0.0.0b2 development milestone.

This issue was fixed in the openstack/manila 2.0.0.0b2 development milestone.

Change abandoned by Dougal Matthews (<email address hidden>) on branch: master
Review: https://review.openstack.org/263596
Reason: Abandoning changes against the retired repo.

Changed in neutron:
importance: Undecided → Low
Changed in django-openstack-auth-kerberos:
assignee: nobody → SamP (sampath-priyankara)
Dougal Matthews (d0ugal) on 2016-01-27
no longer affects: tuskar

This issue was fixed in the openstack/python-ironicclient 1.1.0 release.

zhongshengping (chdzsp) on 2016-02-02
Changed in keystone:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2016-02-02
Changed in glance:
assignee: nobody → zhongshengping (chdzsp)
Changed in keystone:
status: Fix Committed → Fix Released

Change abandoned by zhongshengping (chdzsp@163.com) on branch: master
Review: https://review.openstack.org/275091
Reason: It has been fixed in keystone.

zhongshengping (chdzsp) on 2016-02-03
Changed in keystone:
assignee: zhongshengping (chdzsp) → nobody

Change abandoned by zhongshengping (chdzsp@163.com) on branch: master
Review: https://review.openstack.org/275165

zhongshengping (chdzsp) on 2016-02-03
Changed in glance:
assignee: zhongshengping (chdzsp) → nobody
sumit (er-sksumit) on 2016-02-03
Changed in barbican:
status: In Progress → Fix Released
sumit (er-sksumit) on 2016-02-06
Changed in congress:
status: In Progress → Fix Committed
status: Fix Committed → Fix Released
Changed in networking-fujitsu:
status: In Progress → Fix Released
Changed in ec2-api:
status: In Progress → Fix Released
sumit (er-sksumit) on 2016-02-06
Changed in trove-dashboard:
status: In Progress → Fix Released
Changed in django-openstack-auth-kerberos:
status: New → In Progress
sumit (er-sksumit) on 2016-02-07
Changed in bilean:
status: In Progress → Fix Released
Jeff Augustine (ja224e) on 2016-02-08
Changed in glance:
assignee: nobody → Jeffrey Augustine (ja224e)
Tin Lam (lamt) on 2016-02-15
Changed in python-watcherclient:
assignee: sumit (er-sksumit) → Tin Lam (tl3438)
Changed in mistral:
importance: Undecided → Low
milestone: none → mitaka-3

Fix proposed to branch: master
Review: https://review.openstack.org/281634

Changed in heat-cfntools:
assignee: sumit (er-sksumit) → Tin Lam (tl3438)

Reviewed: https://review.openstack.org/280026
Committed: https://git.openstack.org/cgit/openstack/python-watcherclient/commit/?id=a36b42afef7d63874300981c7d41b05a8220a98a
Submitter: Jenkins
Branch: master

commit a36b42afef7d63874300981c7d41b05a8220a98a
Author: Tin Lam <email address hidden>
Date: Sun Feb 14 16:29:42 2016 -0600

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It is still used in a few places.
    This replaces it with the non-deprecated LOG.warning.

    Change-Id: I7ed615a24dcb4eff919d747d8f30625d6d4db0ee
    Partial-Bug:#1508442

Changed in networking-powervm:
assignee: sumit (er-sksumit) → Kairo Araujo (kairo)

Reviewed: https://review.openstack.org/281565
Committed: https://git.openstack.org/cgit/openstack/networking-powervm/commit/?id=16af89ab925bae246efd52123739aa9f73b2bb19
Submitter: Jenkins
Branch: master

commit 16af89ab925bae246efd52123739aa9f73b2bb19
Author: kairoaraujo <email address hidden>
Date: Wed Feb 17 20:44:13 2016 -0200

    Initial seed of hacking rules

    It is an initial seed of hacking rules based on neutron and
    nova-powervm.

    Closes-Bug: 1508442

    Change-Id: Ie700e86e6bf881ca4174abf56a7ec36e99fcc68e

Changed in networking-powervm:
status: In Progress → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/282144

Changed in python-dracclient:
assignee: sumit (er-sksumit) → Tin Lam (tl3438)
no longer affects: oslo.privsep
Julien Danjou (jdanjou) on 2016-02-19
Changed in gnocchi:
importance: Undecided → Low
Kairat Kushaev (kkushaev) wrote :

I cannot mark bug as Invalid for Glance because of timeout error. Is anyone able to do it?
The reason is oslo.log aliases: https://github.com/openstack/oslo.log/blob/master/oslo_log/log.py#L85

This issue was fixed in the openstack/oslo.log 3.2.0 release.

Reviewed: https://review.openstack.org/282144
Committed: https://git.openstack.org/cgit/openstack/python-dracclient/commit/?id=e2dd7646492e09df166854a6e554880ba11291bd
Submitter: Jenkins
Branch: master

commit e2dd7646492e09df166854a6e554880ba11291bd
Author: Tin Lam <email address hidden>
Date: Thu Feb 18 21:00:36 2016 -0600

    Change LOG.warn to LOG.warning

    Python 3 deprecated the logger.warn method, see:
    https://docs.python.org/3/library/logging.html#logging.warning
    so we prefer to use warning to avoid DeprecationWarning.

    Change-Id: Ide5daf929e2e1717f6a756d609071ff329f443a8
    Closes-Bug: #1508442

Changed in python-dracclient:
status: In Progress → Fix Released
Changed in octavia:
importance: Undecided → Low

This issue was fixed in the openstack/solum 4.1.0 release.

This issue was fixed in the openstack/django_openstack_auth 2.2.0 release.

Changed in mistral:
milestone: mitaka-3 → mitaka-rc1
Sean Dague (sdague) on 2016-03-07
Changed in nova:
importance: Undecided → Low
sumit (er-sksumit) on 2016-03-07
Changed in glance-store:
status: In Progress → Fix Committed

Change abandoned by Swapnil Kulkarni (coolsvap) (<email address hidden>) on branch: master
Review: https://review.openstack.org/263319

Change abandoned by Swapnil Kulkarni (coolsvap) (<email address hidden>) on branch: master
Review: https://review.openstack.org/264117

Reviewed: https://review.openstack.org/263617
Committed: https://git.openstack.org/cgit/openstack/octavia/commit/?id=de41db275540adf952c1e654ee2400080fef90a6
Submitter: Jenkins
Branch: master

commit de41db275540adf952c1e654ee2400080fef90a6
Author: zhang.lei <zhang.lei@99cloud.net>
Date: Tue Mar 8 14:54:24 2016 +0800

    Replace deprecated LOG.warn with LOG.warning

    Python 3 deprecated the logger.warn method, see:
    https://docs.python.org/3/library/logging.html#logging.warning
    so we prefer to use warning to avoid DeprecationWarning.

    Change-Id: I49544d1370e7fe083eb23752227567d8d6f24020
    Closes-Bug: #1508442

Changed in octavia:
status: In Progress → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/290958

Changed in nova:
assignee: Swapnil Kulkarni (coolsvap) → Jiajun Liu (ljjjustin)
Changed in glance:
assignee: Jeffrey Augustine (ja224e) → Swapnil Kulkarni (coolsvap)
Changed in gnocchi:
assignee: Swapnil Kulkarni (coolsvap) → nobody
status: In Progress → Invalid

Fix proposed to branch: master
Review: https://review.openstack.org/291580

Changed in gnocchi:
assignee: nobody → Swapnil Kulkarni (coolsvap)
status: Invalid → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/291581

Changed in heat-cfntools:
assignee: Tin Lam (tl3438) → Swapnil Kulkarni (coolsvap)

Reviewed: https://review.openstack.org/291580
Committed: https://git.openstack.org/cgit/openstack/gnocchi/commit/?id=d4d1fa6bcb5bfb9f776eaf805d01efa12e3fa702
Submitter: Jenkins
Branch: master

commit d4d1fa6bcb5bfb9f776eaf805d01efa12e3fa702
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Fri Mar 11 13:02:03 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I7d3f2cbd50ff5efd747696c3581bb8418ada3bb3
    Closes-Bug:#1508442

Changed in gnocchi:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/291577
Committed: https://git.openstack.org/cgit/openstack/aodh/commit/?id=a9c38d2b8a3e5b3ceb96f2bab2049a0871fb24bd
Submitter: Jenkins
Branch: master

commit a9c38d2b8a3e5b3ceb96f2bab2049a0871fb24bd
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Fri Mar 11 12:51:04 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I151710c566cac93c502cedf61988613110a70e32
    Closes-Bug:#1508442

Changed in aodh:
status: In Progress → Fix Released
Changed in nova:
assignee: Jiajun Liu (ljjjustin) → Swapnil Kulkarni (coolsvap)
Erno Kuvaja (jokke) wrote :

Removed glance. We use oslo.log that has not deprecated the warn alias for warning.

no longer affects: glance
no longer affects: glance-store
Aman Kumar (amank) on 2016-03-11
Changed in networking-vsphere:
assignee: lei zhang (zhang-lei) → Aman Kumar (amank)

Reviewed: https://review.openstack.org/291586
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=c837d22c6e20f1a274156e00f2116375de15c691
Submitter: Jenkins
Branch: master

commit c837d22c6e20f1a274156e00f2116375de15c691
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Fri Mar 11 13:18:12 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: If8b3eaf651c784f7b67552188840237af1f1be42
    Closes-Bug:#1508442

Reviewed: https://review.openstack.org/291587
Committed: https://git.openstack.org/cgit/openstack/gce-api/commit/?id=3e5cc8aa5f3283687b3b8195f68b692e0434a3cb
Submitter: Jenkins
Branch: master

commit 3e5cc8aa5f3283687b3b8195f68b692e0434a3cb
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Fri Mar 11 13:19:54 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I5220749e651a547c788722a3709124fe217e500c
    Closes-Bug:#1508442

Changed in gce-api:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/291569
Committed: https://git.openstack.org/cgit/openstack/solum/commit/?id=9366de011851e73293b6d7536f6df9161161c720
Submitter: Jenkins
Branch: master

commit 9366de011851e73293b6d7536f6df9161161c720
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Fri Mar 11 12:16:52 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I757a8c0d7c9f81cd35c1eda6adf80fe77b35df49
    Closes-Bug:#1508442

Reviewed: https://review.openstack.org/291581
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=ac09df92a7589173f395a48be21f5e3f84b981e4
Submitter: Jenkins
Branch: master

commit ac09df92a7589173f395a48be21f5e3f84b981e4
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Fri Mar 11 13:06:48 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I7e613df8c07616c8cc40a443f3f594407b3555c4
    Closes-Bug:#1508442

Change abandoned by Swapnil Kulkarni (coolsvap) (<email address hidden>) on branch: master
Review: https://review.openstack.org/291636

Changed in nova:
assignee: Swapnil Kulkarni (coolsvap) → John Garbutt (johngarbutt)

Reviewed: https://review.openstack.org/264133
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=a023c32c70b5ddbae122636c26ed32e5dcba66b2
Submitter: Jenkins
Branch: master

commit a023c32c70b5ddbae122636c26ed32e5dcba66b2
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Wed Jan 6 16:50:39 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I42c7b6a172b64a3c1ac6e0703df48ac2ddf8390a
    Partial-Bug:#1508442

Reviewed: https://review.openstack.org/291677
Committed: https://git.openstack.org/cgit/openstack/networking-vsphere/commit/?id=89083c5fdf9f3bee8d9752f8f0dfda31411f9913
Submitter: Jenkins
Branch: master

commit 89083c5fdf9f3bee8d9752f8f0dfda31411f9913
Author: Aman Kumar <email address hidden>
Date: Fri Mar 11 03:54:03 2016 -0800

    log.warn is deprecated in python 3

    Python 3 deprecated the LOG.warn method, see:
    https://docs.python.org/3/library/logging.html#logging.warning, so we
    prefer to use warning to avoid DeprecationWarning.

    Neutron Upstream review link is available here:
    https://review.openstack.org/#/c/278277/

    Change-Id: Id0c49c4f604518cdf40bf68572698d5cb623f32d
    Closes-Bug: #1508442

Changed in networking-vsphere:
status: In Progress → Fix Released
Changed in nova:
assignee: John Garbutt (johngarbutt) → Swapnil Kulkarni (coolsvap)

Reviewed: https://review.openstack.org/292199
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=95ef7ac95b8f944c7e0a2a34baaaad89d61c1364
Submitter: Jenkins
Branch: master

commit 95ef7ac95b8f944c7e0a2a34baaaad89d61c1364
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Mon Mar 14 09:38:56 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.
    Moved the nova/virt/libvirt/driver.py out of the
    https://review.openstack.org/264133

    Change-Id: If4a7c329d45a97c343ba8bfc40cc637b9dd0ac32
    Depends-On: I42c7b6a172b64a3c1ac6e0703df48ac2ddf8390a
    Partial-Bug:#1508442

Change abandoned by Jiajun Liu (<email address hidden>) on branch: master
Review: https://review.openstack.org/290958
Reason: https://review.openstack.org/264133 have merged

zhangguoqing (474751729-o) wrote :

I have been fixing two months ago. Please review: https://review.openstack.org/#/c/266276/
thank you. :)

Changed in mistral:
assignee: sumit (er-sksumit) → zhangguoqing (474751729-o)
Changed in mistral:
milestone: mitaka-rc1 → mitaka-rc2
Changed in heat-cfntools:
assignee: Swapnil Kulkarni (coolsvap) → zhangguoqing (474751729-o)

Change abandoned by Tin Lam (<email address hidden>) on branch: master
Review: https://review.openstack.org/281634
Reason: Abandoning this since the fix is applied to oslo.log. https://github.com/openstack/oslo.log/blob/master/oslo_log/log.py#L85

This issue was fixed in the openstack/designate 2.0.0.0rc1 release candidate.

This issue was fixed in the openstack/aodh 2.0.0.0rc1 release candidate.

This issue was fixed in the openstack/solum-dashboard 1.0.1 release.

This issue was fixed in the openstack/solum 4.1.1 release.

This issue was fixed in the openstack/cloudkitty 0.5.0 release.

Changed in mistral:
milestone: mitaka-rc2 → newton-1
Steve McLellan (sjmc7) on 2016-04-04
Changed in searchlight:
assignee: nobody → Swapnil Kulkarni (coolsvap)
importance: Undecided → Low
status: New → Confirmed

Reviewed: https://review.openstack.org/291579
Committed: https://git.openstack.org/cgit/openstack/searchlight/commit/?id=d5c3b4679647233ca023ec48c7ae2f1a022d8664
Submitter: Jenkins
Branch: master

commit d5c3b4679647233ca023ec48c7ae2f1a022d8664
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Fri Mar 11 13:00:50 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I6c5c39c033b06c7f2cf5b806b9b3cd8ff17485ad
    Closes-Bug:#1508442

Changed in searchlight:
status: Confirmed → Fix Released
Changed in mistral:
status: In Progress → Fix Committed
Scott Moser (smoser) on 2016-04-06
Changed in cloud-init:
importance: Undecided → Low
Julien Danjou (jdanjou) on 2016-04-13
Changed in gnocchi:
milestone: none → 2.1.0
status: Fix Committed → Fix Released
Changed in openstack-ansible:
assignee: Swapnil Kulkarni (coolsvap) → nobody
status: In Progress → Fix Released
Changed in python-rack:
assignee: sumit (er-sksumit) → Sharat Sharma (sharat-sharma)
Changed in anvil:
assignee: sumit (er-sksumit) → Sharat Sharma (sharat-sharma)
Changed in evoque:
assignee: sumit (er-sksumit) → Bathri Ajay Raj (bathri-s)
Sharat Sharma (sharat-sharma) wrote :
Changed in shaker:
assignee: sumit (er-sksumit) → Sharat Sharma (sharat-sharma)
Changed in cloud-init:
assignee: lei zhang (zhang-lei) → Sharat Sharma (sharat-sharma)
Changed in django-openstack-auth-kerberos:
assignee: SamP (sampath-priyankara) → Sharat Sharma (sharat-sharma)
assignee: Sharat Sharma (sharat-sharma) → nobody

This issue was fixed in the openstack/oslo.messaging 5.0.0 release.

Reviewed: https://review.openstack.org/314034
Committed: https://git.openstack.org/cgit/openstack/shaker/commit/?id=c7d80d4927a8010f0d884c827002cefa57b3387a
Submitter: Jenkins
Branch: master

commit c7d80d4927a8010f0d884c827002cefa57b3387a
Author: sharat.sharma <email address hidden>
Date: Mon May 9 15:33:46 2016 +0530

    Deprecated LOG.warn.

    Change-Id: I86950fad04989ef26a13f66e8abda22e1407da08
    Closes-Bug: #1508442

Changed in shaker:
status: In Progress → Fix Released
Changed in mistral:
assignee: zhangguoqing (474751729-o) → Sharat Sharma (sharat-sharma)
status: Fix Committed → In Progress
Pallavi (pallavi-s) on 2016-05-13
Changed in django-openstack-auth-kerberos:
assignee: nobody → Pallavi (pallavi-s)
Changed in freezer:
assignee: nobody → Sharat Sharma (sharat-sharma)
status: New → In Progress

This issue was fixed in the openstack/oslo.config 3.10.0 release.

This issue was fixed in the openstack/searchlight 1.0.0.0b1 development milestone.

This issue was fixed in the openstack/os-cloud-config 5.0.0.0b1 development milestone.

This issue was fixed in the openstack/tripleo-common 5.0.0.0b1 development milestone.

Changed in mistral:
milestone: newton-1 → newton-2

Reviewed: https://review.openstack.org/291627
Committed: https://git.openstack.org/cgit/openstack/tripleo-image-elements/commit/?id=787bf7041f477f9ff2f81065a4a5c1a522524e29
Submitter: Jenkins
Branch: master

commit 787bf7041f477f9ff2f81065a4a5c1a522524e29
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Fri Mar 11 14:57:27 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: Ieb3b6eaf6ffc88998364560b0c0ddda9de5adc67
    Closes-Bug:#1508442

Changed in tripleo:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/291582
Committed: https://git.openstack.org/cgit/openstack/heat-cfntools/commit/?id=5d62b178c361953d983236ce86e7b6a61e961549
Submitter: Jenkins
Branch: master

commit 5d62b178c361953d983236ce86e7b6a61e961549
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Fri Mar 11 13:09:24 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It still used in a few places.
    Updated to non-deprecated LOG.warning.

    Change-Id: I6e8df0e072448fbd4077c4e5d98b2986e9855489
    Closes-Bug:#1508442

Changed in heat-cfntools:
status: In Progress → Fix Released
Emma Foley (emma-l-foley) wrote :

The bug should be marked as "commited" for zaqar, but the commit was marked with a partial-bug.

Changed in freezer:
importance: Undecided → Low

Looks like there was a patch that was already released for tempest-lib https://review.openstack.org/#/c/263125/ for this bug. Tempest no longer shows Log.warn on its code so this bug can be closed now for Tempest.

Changed in tempest:
status: In Progress → Invalid
status: Invalid → Fix Released
no longer affects: neutron
Changed in nova:
status: In Progress → Fix Released
no longer affects: blazar
Changed in zaqar:
status: In Progress → Fix Released

This issue was fixed in the openstack/tripleo-image-elements 5.0.0.0b2 development milestone.

This issue was fixed in the openstack/trove 6.0.0.0b2 development milestone.

Changed in python-watcherclient:
milestone: none → newton-3
importance: Undecided → Low
Changed in mistral:
milestone: newton-2 → newton-3
Yafei Yu (yu-yafei) on 2016-07-14
Changed in glance:
assignee: nobody → yuyafei (yu-yafei)
no longer affects: glance
Yafei Yu (yu-yafei) on 2016-07-14
Changed in rally:
assignee: nobody → yuyafei (yu-yafei)

Fix proposed to branch: master
Review: https://review.openstack.org/341964

Changed in rally:
status: New → In Progress
yatin (yatinkarel) on 2016-07-16
Changed in glance:
assignee: nobody → yatin (yatinkarel)
status: New → In Progress
yatin (yatinkarel) on 2016-07-16
Changed in tacker:
assignee: nobody → yatin (yatinkarel)
status: New → In Progress
yatin (yatinkarel) on 2016-07-16
Changed in senlin:
assignee: nobody → yatin (yatinkarel)
status: New → In Progress
Qiming Teng (tengqim) on 2016-07-16
Changed in senlin:
importance: Undecided → Low
milestone: none → newton-3
status: In Progress → Triaged
yatin (yatinkarel) on 2016-07-16
Changed in vitrage:
assignee: nobody → yatin (yatinkarel)
status: New → In Progress

Reviewed: https://review.openstack.org/343217
Committed: https://git.openstack.org/cgit/openstack/vitrage/commit/?id=ab6d426e5f06568d01e7d2abd1be6bee9ef389a6
Submitter: Jenkins
Branch: master

commit ab6d426e5f06568d01e7d2abd1be6bee9ef389a6
Author: yatin karel <email address hidden>
Date: Sat Jul 16 19:22:26 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It is still used in few modules.
    Replaced with non-deprecated LOG.warning.

    Change-Id: I409a08883ec4385a43fc2ce88a02d19bafdd7c19
    Partial-Bug: #1508442

Reviewed: https://review.openstack.org/341964
Committed: https://git.openstack.org/cgit/openstack/rally/commit/?id=4afec3a1e362c07e92889e6974a558af49a733f3
Submitter: Jenkins
Branch: master

commit 4afec3a1e362c07e92889e6974a558af49a733f3
Author: yuyafei <email address hidden>
Date: Thu Jul 14 15:19:18 2016 +0800

    Replace deprecated LOG.warn with warning

    LOG.warn is deprecated. It still used in a few places. This updates
    those one to use the non-deprecated LOG.warning instead.

    Change-Id: Idb0f7ac1f8788ed0a119fb34b56f8ead32e2b85f
    Partial-Bug:#1508442

Changed in rally:
importance: Undecided → Low
Changed in tacker:
importance: Undecided → Low
weiweigu (gu-weiwei) on 2016-07-19
Changed in taskflow:
assignee: nobody → weiweigu (gu-weiwei)
no longer affects: taskflow

Change abandoned by yatin (<email address hidden>) on branch: master
Review: https://review.openstack.org/343216
Reason: Change Not necessary

Reviewed: https://review.openstack.org/343214
Committed: https://git.openstack.org/cgit/openstack/senlin/commit/?id=f11fe2e82f5d1cfb2f20e6f7b50584034e4bc39c
Submitter: Jenkins
Branch: master

commit f11fe2e82f5d1cfb2f20e6f7b50584034e4bc39c
Author: yatin karel <email address hidden>
Date: Sat Jul 16 18:20:18 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It is still used in few modules.
    Replaced with non-deprecated LOG.warning.

    Change-Id: I0496a3618bbe2f53c06d96e1df725763cd39b032
    Partial-Bug: #1508442

Reviewed: https://review.openstack.org/343191
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=ecb24c5f1b4a6565f33a69e96352db9d25dc9b7b
Submitter: Jenkins
Branch: master

commit ecb24c5f1b4a6565f33a69e96352db9d25dc9b7b
Author: yatin karel <email address hidden>
Date: Sat Jul 16 17:50:48 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It is still used in few modules.
    Replaced with non-deprecated LOG.warning.

    Change-Id: Ia6acc11eca60c652844175a5742f626732e295e3
    Closes-Bug: #1508442

yatin (yatinkarel) on 2016-07-22
Changed in senlin:
status: Triaged → Fix Committed
Changed in vitrage:
status: In Progress → Fix Committed
Yafei Yu (yu-yafei) on 2016-07-23
Changed in rally:
status: In Progress → Fix Released
Changed in masakari:
assignee: nobody → Takashi NATSUME (natsume-takashi)
Haifeng.Yan (yanheven) on 2016-08-02
Changed in oslo.middleware:
assignee: nobody → Haifeng.Yan (yanheven)

Fix proposed to branch: master
Review: https://review.openstack.org/350842

Changed in masakari:
status: New → In Progress

Reviewed: https://review.openstack.org/350842
Committed: https://git.openstack.org/cgit/openstack/masakari/commit/?id=8e601d118304838cc0605bd9ccf0146e72f4cb12
Submitter: Jenkins
Branch: master

commit 8e601d118304838cc0605bd9ccf0146e72f4cb12
Author: Takashi NATSUME <email address hidden>
Date: Thu Aug 4 09:35:48 2016 +0900

    Add a hacking rule to enforce use of LOG.warning

    LOG.warn is deprecated.
    LOG.warning should be used instead of LOG.warn.
    So add the following hacking rule.

    - [M331] LOG.warn is deprecated. Enforce use of LOG.warning.

    Change-Id: I1f99331e2a51f8295eac0734aa653b4ff04ccf65
    Closes-Bug: #1508442

Changed in masakari:
status: In Progress → Fix Released

This issue was fixed in the openstack/oslo.middleware 3.17.0 release.

Reviewed: https://review.openstack.org/343161
Committed: https://git.openstack.org/cgit/openstack/tacker/commit/?id=d24b02d4b52232d0eca23b2e9b7986cb3b0e4680
Submitter: Jenkins
Branch: master

commit d24b02d4b52232d0eca23b2e9b7986cb3b0e4680
Author: yatin karel <email address hidden>
Date: Sat Jul 16 17:19:01 2016 +0530

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated. It is still used in few modules.
    Replaced with non-deprecated LOG.warning.

    Change-Id: I20ae299b9b1cb07ba8ab74eb2c36a4884dc771e1
    Closes-Bug: #1508442

Changed in tacker:
status: In Progress → Fix Released
Hanxi Liu (hanxi-liu) on 2016-08-22
Changed in panko:
assignee: nobody → Hanxi Liu (hanxi-liu)
no longer affects: panko
Isaku Yamahata (yamahata) wrote :

There is no user of LOG.warn in networking-odl

Changed in networking-odl:
importance: Undecided → Low
status: In Progress → Fix Committed

This issue was fixed in the openstack/tacker 0.4.0 release.

Lu lei (lei-lu) on 2016-08-31
Changed in openstack-ansible:
assignee: nobody → Lu lei (lei-lu)
Changed in keystone:
assignee: nobody → Lu lei (lei-lu)
Pallavi (pallavi-s) on 2016-08-31
Changed in monasca:
assignee: nobody → Pallavi (pallavi-s)
Sharat Sharma (sharat-sharma) wrote :

@pallavi-s LOG.warn() in monasca is purposefully placed in the tests to notify that the LOG.warn() function is deprecated.

This issue was fixed in the openstack/nova 14.0.0.0b3 development milestone.

Change abandoned by Hardik Parekh (<email address hidden>) on branch: master
Review: https://review.openstack.org/315565
Reason: In Mistral, we already have removed LOG.warn. we have pep8 check
for this.

Changed in python-rack:
assignee: Sharat Sharma (sharat-sharma) → nobody

Change abandoned by Sharat Sharma (<email address hidden>) on branch: master
Review: https://review.openstack.org/312830

Lu lei (lei-lu) on 2016-09-29
Changed in python-rack:
assignee: nobody → Lu lei (lei-lu)

This issue was fixed in the openstack/magnum 2.0.0 release.

This issue was fixed in the openstack/solum-dashboard 1.0.1 release.

This issue was fixed in the openstack/solum 4.1.1 release.

Reviewed: https://review.openstack.org/396256
Committed: https://git.openstack.org/cgit/openstack/networking-arista/commit/?id=1b01eb60a45596bc731e86e9bede5039a8d0db6e
Submitter: Jenkins
Branch: master

commit 1b01eb60a45596bc731e86e9bede5039a8d0db6e
Author: Mark McClain <email address hidden>
Date: Thu Nov 10 09:28:49 2016 -0500

    use LOG.warning instead of LOG.warn

    Minor clean-up to convert usage of deprecated LOG.warn method to
    LOG.warning.

    Change-Id: I597d44ac0d48571ffb29d55761fe2aff5a518302
    Closes-Bug: #1508442

Changed in networking-arista:
status: In Progress → Fix Released
Changed in mistral:
assignee: Sharat Sharma (sharat-sharma) → nobody
status: In Progress → Invalid

Change abandoned by Rob Cresswell (<email address hidden>) on branch: master
Review: https://review.openstack.org/316770
Reason: There was already a fix for this here: https://review.openstack.org/#/c/272408/

Reviewed: https://review.openstack.org/326778
Committed: https://git.openstack.org/cgit/openstack/networking-ofagent/commit/?id=39c4649595d2a01bfd804dfa2811f8432637e995
Submitter: Jenkins
Branch: stable/mitaka

commit 39c4649595d2a01bfd804dfa2811f8432637e995
Author: fumihiko kakuma <email address hidden>
Date: Wed Jun 8 10:37:12 2016 +0900

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated in Python 3 [1].
    This change switches it to the non-deprecated LOG.warning

    [1]https://docs.python.org/3/library/logging.html#logging.warning

    Closes-Bug: #1508442
    Change-Id: If57939c68f6bb185d7e19e3fbc2a26fca3ecb5d7

tags: added: in-stable-mitaka
fumihiko kakuma (kakuma) on 2016-11-30
Changed in networking-ofagent:
assignee: lei zhang (zhang-lei) → fumihiko kakuma (kakuma)
status: In Progress → Fix Committed

Change abandoned by David Lyle (<email address hidden>) on branch: master
Review: https://review.openstack.org/272408
Reason: This repo is being retired. Kerberos support can be handled with federation in keystone.

David Lyle (david-lyle) on 2016-12-02
no longer affects: django-openstack-auth-kerberos
no longer affects: freezer
Changed in cloud-init:
assignee: Sharat Sharma (sharat-sharma) → nobody
status: In Progress → New
Changed in anvil:
assignee: Sharat Sharma (sharat-sharma) → nobody
status: In Progress → New

Change abandoned by Sharat Sharma (<email address hidden>) on branch: master
Review: https://review.openstack.org/314027

Changed in python-watcherclient:
milestone: newton-3 → none

Change abandoned by zhangguoqing (zhang.guoqing@99cloud.net) on branch: master
Review: https://review.openstack.org/294647

Fix proposed to branch: master
Review: https://review.openstack.org/434942

Changed in networking-calico:
assignee: sumit (er-sksumit) → Neil Jerram (neil-jerram)

Fix proposed to branch: master
Review: https://review.openstack.org/442379

Change abandoned by Kiseok Kim (<email address hidden>) on branch: master
Review: https://review.openstack.org/441742
Reason: move to https://review.openstack.org/#/c/442379/

Reviewed: https://review.openstack.org/442379
Committed: https://git.openstack.org/cgit/openstack/rally/commit/?id=59ac7139d85acebb357c813b7f4ad5f9871d23b4
Submitter: Jenkins
Branch: master

commit 59ac7139d85acebb357c813b7f4ad5f9871d23b4
Author: Kiseok Kim <email address hidden>
Date: Tue Mar 7 10:45:27 2017 +0000

    Add hacking rules for deprecated LOG.warn

    Because LOG.warn is deprecated,
    we should replace LOG.warn with LOG.warning.

    This patch add a hacking rule:
        [N313] - Validate that LOG.warning is used instead of deprecated LOG.warn.

    and replace deprecated LOG.warn with LOG.warning in rally/api.py

    Change-Id: I7d016b30368f13bde822ca27ef503ce09e3e875b
    Closes-Bug: #1508442

Changed in cloud-init:
assignee: nobody → Anishka Gupta (anishka0107)
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/450044

Changed in cloud-init:
status: Confirmed → In Progress
Changed in shaker:
assignee: Sharat Sharma (sharat-sharma) → nobody

Reviewed: https://review.openstack.org/434942
Committed: https://git.openstack.org/cgit/openstack/networking-calico/commit/?id=282dcddb917de5e1ad1ef1339a30ce47bb4cbbe2
Submitter: Jenkins
Branch: master

commit 282dcddb917de5e1ad1ef1339a30ce47bb4cbbe2
Author: Neil Jerram <email address hidden>
Date: Thu Feb 16 14:32:41 2017 +0000

    Change _log.warn (now somewhat deprecated) to _log.warning

    LOG.warn is deprecated in Python 3 [1]. Non-deprecated LOG.warning
    should be used instead.

    [1] https://docs.python.org/3/library/logging.html#logging.warning

    Change-Id: I6bc3e5590d5feff6fc94d7f2d33593c01e93dfa8
    Closes-Bug: #1508442

Changed in networking-calico:
status: In Progress → Fix Released
M V P Nitesh (m-nitesh) on 2017-05-15
Changed in anvil:
assignee: nobody → M V P Nitesh (m-nitesh)

Change abandoned by Sean McGinnis (<email address hidden>) on branch: master
Review: https://review.openstack.org/473922
Reason: Still think it should be changed at some point to get folks out of the habit, but certainly extremely low priority.

Erno Kuvaja (jokke) on 2018-02-06
no longer affects: glance
Ben Nemec (bnemec) on 2018-04-03
Changed in oslo.middleware:
status: New → Fix Released

Reviewed: https://review.openstack.org/558634
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=8bc3693c19960a2105d53ec1e956fa03b12e2a50
Submitter: Zuul
Branch: master

commit 8bc3693c19960a2105d53ec1e956fa03b12e2a50
Author: Erik Olof Gunnar Andersson <email address hidden>
Date: Tue Apr 3 14:28:01 2018 -0700

    Replace deprecated LOG.warn with LOG.warning

    LOG.warn is deprecated in Python 3 [1] . But it still used in a few places, non-deprecated LOG.warning should be used instead.

    Note: If we are using logger from oslo.log, warn is still valid [2], but I agree we can switch to LOG.warning.

    [1]https://docs.python.org/3/library/logging.html#logging.warning
    [2]https://github.com/openstack/oslo.log/blob/master/oslo_log/log.py#L85

    Change-Id: Ibbcc287815cbc06162a13448c2dabcb0748e4e32
    Closes-Bug: #1508442

This issue was fixed in the openstack/designate 7.0.0.0b1 development milestone.

Change abandoned by Ian Wienand (<email address hidden>) on branch: master
Review: https://review.opendev.org/314042
Reason: This is a "version 2" branch of cloud-init, that has laid idle for some time. To contribute to active cloud-init series, see https://git.launchpad.net/cloud-init/tree/HACKING.rst. This is a "version 2" branch of cloud-init, that has laid idle for some time. To contribute to active cloud-init series, see
  https://git.launchpad.net/cloud-init/tree/HACKING.rst

https://review.opendev.org/#/c/649082/

Change abandoned by Ian Wienand (<email address hidden>) on branch: master
Review: https://review.opendev.org/450044
Reason: This is a "version 2" branch of cloud-init, that has laid idle for some time. To contribute to active cloud-init series, see https://git.launchpad.net/cloud-init/tree/HACKING.rst. This is a "version 2" branch of cloud-init, that has laid idle for some time. To contribute to active cloud-init series, see
  https://git.launchpad.net/cloud-init/tree/HACKING.rst

https://review.opendev.org/#/c/649082/

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers